Bug 473517 - top right corner - show all windows - too sensitive
top right corner - show all windows - too sensitive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 21:17 EST by Stephen
Modified: 2010-06-28 06:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:50:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2008-11-28 21:17:07 EST
Description of problem:

Enable desktop effects and try to adjust the volume, which by default on Fedora is at the top right of the screen.

The applet is such a small target, and depending on size of screen, mouse + trackpad sensitivity, fatness of fingers and urgency of loud volume it can be almost physically impossible to adjust the volume without activating the very cool 'show all windows' plugin.


One way to fix this is by adding a quarter of a second delay to the activation of the effects plugin. It gives you enough time to roughly throw your mouse into the corner and then recentre accurately on the volume applet.

This setting is buried deep in the bowels of gconf somewhere, but I can no longer remember whereabouts or exactly what I changed. But somewhere there is a setting, and it would be great if this could be the default on Fedora.


Another aspect of the default Fedora setup is that at the bottom left of the screen is the 'show desktop' button. This is more related to the idea of window manipulation, so it may be a good idea to switch the default plugin activation corner to bottom left, which is otherwise unused.
Comment 2 Stephen 2009-08-09 10:48:09 EDT
This seems to have been fixed in Fedora 11 by making the clock applet the right-most applet in the default configuration. As it is a much larger click target you no longer need to move the mouse right into the corner of the screen, triggering the show-all-windows plugin.

Thanks.
Comment 4 Matěj Cepl 2009-11-17 07:01:28 EST
Switching incorrect assignees to the default one.
Comment 5 Stephen 2009-11-17 07:39:40 EST
I've changed my mind -- this is still not fixed.

My original observation was that you need to put the mouse pointer into the top-right corner because that's where the volume control is. However, there are other reasons:

I have observed multiple times people accidentally activating the show-all-windows compiz plugin while trying to close a maximized window. The 'X' button is very close to the top right, too close when using a trackpad it seems.

Here's what it looks like to a non geek:

- Maximise the browser
- Use Face Book for a while
- Close the window
- As they move the mouse towards the 'X', the window 'runs away'
- They move the mouse towards the new location of the 'X' and click it
- The window ignores the close request moves back to it's original position
- Again, the user tries to click on the 'X' button

This is absolutely baffling to many people.

Of course, what's happening here is that they only have one window open. In this case compiz 'rearranges' the windows by slightly shrinking the only open window and centering it on the screen. In this state all you can do is click anywhere on the window to select it and bring it to the front. Which in this case is useless.

Two suggestions:

1) There must be a short delay before activating the show-all-windows plugin so that people can safely overshoot when pushing the mouse towards the vicinity of the top right of the screen.

2) When only one window is open the show-all-windows plugin should be dissabled as it makes no sense.

The first can is a gconf setting, the second I haven't looked at, but could be a small patch to the plugin itself.
Comment 6 Chris Parkin 2010-03-27 20:19:38 EDT
I would agree that this is a bug, I trigger this accidentally all the time and it's driving me up the wall.

In particular I accidentally activate this when i sit down at the machine and wiggle the mouse to locate the pointer, or wake up the display.

I suggest activating this via an icon on the panel.

Or as previously suggested a delay of a second or two by default before this is activated.

Or at least put an option in System > Preferences > Desktop effects to let me turn it off.

To be honest this isn't a feature I have ever used on purpose, removing it completely would suite me fine.
Comment 7 Bug Zapper 2010-04-27 08:23:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:50:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.